package com.mitchallen.testbook.custom;

import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.ElementType;

/**
 * Custom annotation
 * 
 * Usage:  @MyAnnotation("put comments here")
 *
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)

public @interface MyAnnotation {
	
	public String value() default "";

}
