package com.mitchallen.common;

public class Tools {

	/**
	 * Print full name of calling method.
	 */
	public static void PrintMethodName() {

		// NOTE: This only works if you call the method directly from a another
		// method with no other method in between.
		// The index of [2] represents the position of the calling method in the trace
		// In this case, that would be the method that directly calls this method.

		System.out.println("## >>> --- METHOD: "
				+ Thread.currentThread().getStackTrace()[2].getMethodName());

	}
	
	/**
	 * Print full name of calling method.
	 */
	public static void PrintFullMethodName() {

		// NOTE: This only works if you call the method directly from a another
		// method with no other method in between.
		// The index of [2] represents the position of the calling method in the trace
		// In this case, that would be the method that directly calls this method.

		System.out.println("## >>> --- METHOD: "
				+ Thread.currentThread().getStackTrace()[2].getClassName()
				+ "."
				+ Thread.currentThread().getStackTrace()[2].getMethodName());

	}
	
}
