package com.mitchallen.testbook.test;

import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;

public class ExampleTests {
	
	@Test public void passDemo() {
		
		// This test simply passes by omission (no assertions or exceptions)
	}
	
	@Test public void failDemo() {
		
		Assert.fail("This test deliberately fails");
	}
	
	@Test public void failComparisonDemo() {
		
		int expect = 5;	// What we think it should be.
		int actual = 4;	// What it actually is.
		
		Assert.assertEquals( "### ERROR - not equal: ", expect, actual );
	}
		
	@Test 
	@Ignore( "This test is ignored" )
	public void ignoreDemo() {
		// ...
	}
	
	@SuppressWarnings("unused")
	@Test public void errorDemo() {
		
		// This should generate a divide by zero exception.
		
		int x = 1 / 0;		
	}
}
