package com.mitchallen.testbook.test;

import java.util.concurrent.TimeUnit;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.iphone.IPhoneDriver;
import com.mitchallen.common.Tools;

public class MobileTests {
	
	WebDriver driver = null;
	
	@Before public void setUp() throws Exception {
		
		Tools.PrintMethodName();
		
		driver = new IPhoneDriver();
		
		Assert.assertNotNull( "### ERROR: driver is null", driver );
		
		driver.manage().timeouts().implicitlyWait(10, TimeUnit.SECONDS);
	}
	
	@After public void tearDown() {
		
		Tools.PrintMethodName();
		
		System.out.println( "-- ------------------------------------------" );
	}
	
	@Test public void testIphone() throws InterruptedException {
		
		Tools.PrintMethodName();	// Print name of this test case
			
		driver.get( "http://m.yahoo.com" );
		
		Assert.assertTrue( 
				"### Page title doesn't contain 'Yahoo!'", 
				driver.getTitle().contains("Yahoo!") );
	}

}
