package com.mitchallen.properties;

import java.net.URL;
import java.util.Properties;

public class Reader {
	
    public static Properties loadProperty(String propFile) {
	        
        Properties props = new Properties();
        
        URL url = ClassLoader.getSystemResource(propFile);
        
        try {
            props.load(url.openStream());
        }
        
        catch (Exception exx) {
            throw new RuntimeException(exx);
        }
        
        return props;
    }
}
